Bug 332031 - 2 modules for one USB wireless adapter
2 modules for one USB wireless adapter
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-15 08:15 EDT by Bastien Nocera
Modified: 2008-08-19 14:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-19 14:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-10-15 08:15:16 EDT

Some Belkin devices (like mine) have been made that require different drivers,
but have the same vendor and product IDs.

$ lsusb | grep -i 705a
Bus 001 Device 003: ID 050d:705a Belkin Components 
$ modinfo rt73usb | grep -i 705a
alias:          usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*
$ modinfo rt2500usb | grep -i 705a
alias:          usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*

The rt73usb is the one to actually drive my hardware, but both get loaded on
startup. Is there a way to blacklist the rt2500usb driver on my system, and warn
the user that 2 drivers could be used for the same hardware?
Comment 1 Bug Zapper 2008-05-13 23:24:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 John W. Linville 2008-06-30 16:25:54 EDT
I really don't know of any way to make that happen beyond manual intervention. 
Do you have a suggestion?

Note You need to log in before you can comment on or make changes to this bug.